use crate::{StateTransition, context::Context};

pub trait Screen {
    fn init_frame(&mut self) {}
    fn handle_frame(&mut self, ctx: &mut Context) -> Option<StateTransition>;
    fn handle_messages(&mut self, ctx: &mut Context);
}
